Bug 493772 - Invisible mouse pointer after F11Beta install on Dell box with G31 / 82G33
Invisible mouse pointer after F11Beta install on Dell box with G31 / 82G33
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
i686 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 22:05 EDT by Pat Kane
Modified: 2009-11-05 21:48 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 21:48:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg output from Dell box after F11Beta install (30.44 KB, text/plain)
2009-04-02 22:05 EDT, Pat Kane
no flags Details
Xorg.0.log (57.85 KB, text/plain)
2009-04-02 22:10 EDT, Pat Kane
no flags Details

  None (edit)
Description Pat Kane 2009-04-02 22:05:15 EDT
Created attachment 337962 [details]
dmesg output from Dell box after F11Beta install

Description of problem:
Invisible mouse pointer after F11Beta install,

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Here is a interesting bit from the attached dmesg log:

=======================================================
[ INFO: possible circular locking dependency detected ]
2.6.29-21.fc11.i686.PAE #1
-------------------------------------------------------
Xorg/2230 is trying to acquire lock:
 (&mm->mmap_sem){----}, at: [<c0499d3a>] might_fault+0x48/0x85

but task is already holding lock:
 (&dev->struct_mutex){--..}, at: [<f82ca99a>] i915_gem_execbuffer+0xd6/0xa0b [i915]
Comment 1 Pat Kane 2009-04-02 22:10:30 EDT
Created attachment 337963 [details]
Xorg.0.log
Comment 2 Pat Kane 2009-04-02 22:12:26 EDT
Note: I did a "yum update" after the initial F11Beta install.
Comment 3 Pat Kane 2009-04-06 08:34:20 EDT
I worked around the bug by adding  nomodeset
to the grub kernel line.  
In the file "/boot/grub/grub.conf" I now have this entry:

title Fedora (2.6.29.1-46.fc11.i686.PAE) nomodeset
	root (hd0,0)
	kernel /vmlinuz-2.6.29.1-46.fc11.i686.PAE ro root=/dev/mapper/vg_qed-lv_root nomodeset
Comment 4 Robert Nichols 2009-04-11 16:13:51 EDT
I'm seeing the same problem with the F-11 Snap1 Live CD on a Compaq EVO D510 with Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device rev 1.  Works OK by booting with "nomodeset".
Comment 5 Adam Williamson 2009-04-16 19:37:48 EDT
This is a known issue (488980) for i8xx chipsets. Are you sure yours is an i915? Can you paste the output of 'lspci -nn'? Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Pat Kane 2009-04-16 21:50:03 EDT
PEK: Here you go:



[kane@vost ~]$ lspci -nn > /tmp/o
[kane@vost ~]$cat /tmp/o
00:00.0 Host bridge [0600]: Intel Corporation 82G33/G31/P35/P31 Express DRAM Controller [8086:29c0] (rev 02)
00:01.0 PCI bridge [0604]: Intel Corporation 82G33/G31/P35/P31 Express PCI Express Root Port [8086:29c1] (rev 02)
00:02.0 VGA compatible controller [0300]: Intel Corporation 82G33/G31 Express Integrated Graphics Controller [8086:29c2] (rev 02)
00:1a.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 [8086:2937] (rev 02)
00:1a.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 [8086:2938] (rev 02)
00:1a.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 [8086:2939] (rev 02)
00:1a.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 [8086:293c] (rev 02)
00:1b.0 Audio device [0403]: Intel Corporation 82801I (ICH9 Family) HD Audio Controller [8086:293e] (rev 02)
00:1c.0 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 [8086:2940] (rev 02)
00:1c.5 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 6 [8086:294a] (rev 02)
00:1d.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 [8086:2934] (rev 02)
00:1d.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 [8086:2935] (rev 02)
00:1d.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 [8086:2936] (rev 02)
00:1d.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 [8086:293a] (rev 02)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev 92)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801IR (ICH9R) LPC Interface Controller [8086:2916] (rev 02)
00:1f.2 IDE interface [0101]: Intel Corporation 82801IR/IO/IH (ICH9R/DO/DH) 4 port SATA IDE Controller [8086:2920] (rev 02)
00:1f.3 SMBus [0c05]: Intel Corporation 82801I (ICH9 Family) SMBus Controller [8086:2930] (rev 02)
00:1f.5 IDE interface [0101]: Intel Corporation 82801I (ICH9 Family) 2 port SATA IDE Controller [8086:2926] (rev 02)
03:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 02)
04:01.0 Multimedia video controller [0400]: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder [14f1:8800] (rev 05)
04:01.1 Multimedia controller [0480]: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder [Audio Port] [14f1:8801] (rev 05)
04:01.2 Multimedia controller [0480]: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder [MPEG Port] [14f1:8802] (rev 05)
04:01.4 Multimedia controller [0480]: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder [IR Port] [14f1:8804] (rev 05)
Comment 7 Pat Kane 2009-04-17 07:40:37 EDT
I agree that I am having the same problem as described in 488980
I  did a search before creating this bug, not sure why
there were no hits for 488980
Comment 8 Adam Williamson 2009-04-17 12:34:55 EDT
I changed the topic for 488980 yesterday - before that it was a bit different and not as likely to show up in searches (I actually had trouble finding it when I went looking).

Your hardware doesn't look like an i8xx chip, though, so this bug - while similar - may not actually be the same. Leaving as a separate report and accepting it for now. Thanks for the report.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Bug Zapper 2009-06-09 09:10:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Matěj Cepl 2009-11-05 13:25:05 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 12 Pat Kane 2009-11-05 17:44:03 EST
Works okay with F12.

Thanks,
Pat
---
Comment 13 Adam Williamson 2009-11-05 21:06:08 EST
would you like to keep this open to see if it can be fixed in f11, or are you happy with it working in f12?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 14 Pat Kane 2009-11-05 21:24:21 EST
I'm happy with F12, feel free to close it.

Thanks for a great beta,
Pat
---
Comment 15 Adam Williamson 2009-11-05 21:48:07 EST
excellent, thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.